[arch-commits] Commit in martian/repos (5 files)

Thomas Baechler thomas at archlinux.org
Sat Jun 7 09:58:34 UTC 2008


    Date: Saturday, June 7, 2008 @ 05:58:34
  Author: thomas
Revision: 2554

Merged revisions 2543-2553 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/martian/trunk

........
  r2553 | thomas | 2008-06-07 11:58:09 +0200 (Sa, 07 Jun 2008) | 1 line
  
  upgpkg: martian 20080407-1
........

Added:
  martian/repos/extra-i686/stringify.patch
    (from rev 2553, martian/trunk/stringify.patch)
Modified:
  martian/repos/extra-i686/	(properties)
  martian/repos/extra-i686/PKGBUILD
  martian/repos/extra-i686/fastcall.patch
Deleted:
  martian/repos/extra-i686/kernel-2.6.24.patch

---------------------+
 PKGBUILD            |   43 ++++++++++++++++++++-----------------------
 fastcall.patch      |   24 ++++++++++++------------
 kernel-2.6.24.patch |   11 -----------
 stringify.patch     |   15 +++++++++++++++
 4 files changed, 47 insertions(+), 46 deletions(-)


Property changes on: martian/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /martian/trunk:1-2542
   + /martian/trunk:1-2553

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-06-07 09:58:09 UTC (rev 2553)
+++ extra-i686/PKGBUILD	2008-06-07 09:58:34 UTC (rev 2554)
@@ -1,34 +1,31 @@
 # $Id$
 # Maintainer:
-# Contributor: Steve Vialle <steve_v at orcon.net.nz>
+# Contributor: Jonathan Liu <net147 at hotmail.com>
 
 pkgname=martian
-pkgver=20061203
-pkgrel=13
-license=("GPL" "custom:Agere Systems license")
+pkgver=20080407
+pkgrel=1
+pkgdesc="Alternative driver for the Agere Systems PCI WinModem."
 arch=('i686')
-_kernver=2.6.25-ARCH
-pkgdesc="Alternative drivers for the Mars chipset Lucent LT Winmodem (PCI). For stock kernel26" 
 url="http://martian.barrelsoutofbond.org/"
-install=martian.install 
-source=(http://www.barrelsoutofbond.org/downloads/martian/martian-full-${pkgver}.tar.gz
-	kernel-2.6.24.patch
-	fastcall.patch)
-depends=('kernel26>=2.6.25.3-1' 'kernel26<2.6.26' 'glibc' 'martian-utils')
-options=('!strip')
+license=("GPL" "custom:Agere Systems WinModem License")
+depends=('kernel26>=2.6.25.3-1' 'kernel26<2.6.26' 'martian-utils')
 replaces=('ltmodem')
-md5sums=('599dcd2441ce996bb466853cb95b9ec9'
-         'c32376163dbc453a0488f5f9734f96c4'
-         '80d01bef7c0bed9f4fc61fb0e663124b')
+options=(!strip)
+install=martian.install 
+source=(http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/martian/martian-full-${pkgver}.tar.gz
+        fastcall.patch
+        stringify.patch)
+md5sums=('11fc90f7522810a002b5632dccb0af5c'
+         'ad11cd70747c4217122c12172bca4ad0'
+         'b6b32f57e13d60f4427ba8361f52478a')
+_kernver=2.6.25-ARCH
                   
 build() { 
-
-#Build
-  cd $startdir/src/martian
-  patch -Np0 -i ../kernel-2.6.24.patch || return 1
+  cd $startdir/src/martian-full-$pkgver
   patch -Np1 -i ../fastcall.patch || return 1
-  sed -i -e "s#\$(shell uname -r)#$_kernver#g" $startdir/src/martian/kmodule/Makefile
-  cd $startdir/src/martian && make KERNEL_DIR=/usr/src/linux-${_kernver} all || return 1 
-  #Install kernel modules
-  install -D -m 644 $startdir/src/martian/kmodule/martian_dev.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/net/martian_dev.ko
+  patch -Np1 -i ../stringify.patch || return 1
+  make KERNEL_DIR=/usr/src/linux-${_kernver} all || return 1
+  install -D -m644 $startdir/src/martian-full-$pkgver/kmodule/martian_dev.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/net/martian_dev.ko
+  install -D -m644 $startdir/src/martian-full-$pkgver/modem/ASWMLICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
 }  

Modified: extra-i686/fastcall.patch
===================================================================
--- extra-i686/fastcall.patch	2008-06-07 09:58:09 UTC (rev 2553)
+++ extra-i686/fastcall.patch	2008-06-07 09:58:34 UTC (rev 2554)
@@ -1,6 +1,6 @@
-diff -ru martian.orig/kmodule/marsio.c martian/kmodule/marsio.c
---- martian.orig/kmodule/marsio.c	2006-12-01 13:13:01.000000000 +1100
-+++ martian/kmodule/marsio.c	2008-06-06 20:26:32.000000000 +1000
+diff -ru martian-full-20080407.orig/kmodule/marsio.c martian-full-20080407/kmodule/marsio.c
+--- martian-full-20080407.orig/kmodule/marsio.c	2006-12-01 13:13:01.000000000 +1100
++++ martian-full-20080407/kmodule/marsio.c	2008-06-07 15:05:35.000000000 +1000
 @@ -4,7 +4,7 @@
  #include "kmartian.h"
  #include "../martian.h"
@@ -35,9 +35,9 @@
  	struct martian_common *mcb = mdev->common;
  	u32 io_dce_rx_rptr = mcb->io_dce_rx_rptr;
  	u32 io_dce_rx_wptr = mcb->io_dce_rx_wptr;
-diff -ru martian.orig/kmodule/marsio.h martian/kmodule/marsio.h
---- martian.orig/kmodule/marsio.h	2006-07-20 11:57:08.000000000 +1000
-+++ martian/kmodule/marsio.h	2008-06-06 20:26:54.000000000 +1000
+diff -ru martian-full-20080407.orig/kmodule/marsio.h martian-full-20080407/kmodule/marsio.h
+--- martian-full-20080407.orig/kmodule/marsio.h	2006-07-20 11:57:08.000000000 +1000
++++ martian-full-20080407/kmodule/marsio.h	2008-06-07 15:05:35.000000000 +1000
 @@ -5,9 +5,9 @@
  #ifndef __MARSIO_H
  #define __MARSIO_H
@@ -52,9 +52,9 @@
 +int __attribute__((fastcall))( process_stream (struct martian *mdev) );
  
  #endif  // __MARSIO_H
-diff -ru martian.orig/kmodule/mfifo.c martian/kmodule/mfifo.c
---- martian.orig/kmodule/mfifo.c	2006-07-23 17:07:40.000000000 +1000
-+++ martian/kmodule/mfifo.c	2008-06-06 20:27:12.000000000 +1000
+diff -ru martian-full-20080407.orig/kmodule/mfifo.c martian-full-20080407/kmodule/mfifo.c
+--- martian-full-20080407.orig/kmodule/mfifo.c	2006-07-23 17:07:40.000000000 +1000
++++ martian-full-20080407/kmodule/mfifo.c	2008-06-07 15:05:35.000000000 +1000
 @@ -1,22 +1,22 @@
  #include "mfifo.h"
  #include <linux/string.h>
@@ -127,9 +127,9 @@
  	memcpy (e, fifo->tail * fifo->esize + (char *) fifo->buf, fifo->esize);
  }
  
-diff -ru martian.orig/kmodule/mfifo.h martian/kmodule/mfifo.h
---- martian.orig/kmodule/mfifo.h	2006-11-29 08:34:26.000000000 +1100
-+++ martian/kmodule/mfifo.h	2008-06-06 20:27:20.000000000 +1000
+diff -ru martian-full-20080407.orig/kmodule/mfifo.h martian-full-20080407/kmodule/mfifo.h
+--- martian-full-20080407.orig/kmodule/mfifo.h	2006-11-29 08:34:26.000000000 +1100
++++ martian-full-20080407/kmodule/mfifo.h	2008-06-07 15:05:35.000000000 +1000
 @@ -15,11 +15,11 @@
  typedef struct _mfifo mfifo_t;
  

Deleted: extra-i686/kernel-2.6.24.patch
===================================================================
--- extra-i686/kernel-2.6.24.patch	2008-06-07 09:58:09 UTC (rev 2553)
+++ extra-i686/kernel-2.6.24.patch	2008-06-07 09:58:34 UTC (rev 2554)
@@ -1,11 +0,0 @@
---- kmodule/martian.c~	2006-12-02 20:14:50.000000000 +0100
-+++ kmodule/martian.c	2007-10-30 14:01:17.000000000 +0100
-@@ -656,7 +656,7 @@
- 	ret = request_irq(
- 		metrics->irq, 
- 		martian_isr,  
--		SA_INTERRUPT | SA_SHIRQ, 
-+		IRQF_DISABLED | IRQF_SHARED, 
- 		"164x", 
- 		mdev
- 	);

Copied: martian/repos/extra-i686/stringify.patch (from rev 2553, martian/trunk/stringify.patch)
===================================================================
--- extra-i686/stringify.patch	                        (rev 0)
+++ extra-i686/stringify.patch	2008-06-07 09:58:34 UTC (rev 2554)
@@ -0,0 +1,15 @@
+diff -ru martian-full-20080407.orig/kmodule/kmartian.h martian-full-20080407/kmodule/kmartian.h
+--- martian-full-20080407.orig/kmodule/kmartian.h	2006-12-01 13:13:01.000000000 +1100
++++ martian-full-20080407/kmodule/kmartian.h	2008-06-07 13:43:11.000000000 +1000
+@@ -11,6 +11,11 @@
+ #include "fifo.h"
+ #include "mfifo.h"
+ 
++#ifndef __stringify
++#define __stringify_nomacro(x)	#x
++#define __stringify(x)		__stringify_nomacro (x)
++#endif
++
+ #define MPREFIX			__stringify (KBUILD_MODNAME)
+ 
+ #define MINFO(fmt...)		printk (KERN_INFO MPREFIX ": " fmt)





More information about the arch-commits mailing list